summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Zordrak2010-05-13 01:00:53 +0200
committer Heinz Wiesinger2010-05-13 01:00:53 +0200
commitfc377a2579fe438c4434e2dcca9fd7b8b74223a7 (patch)
tree5ffeab2bb300b8b79f7f5bbe71422664ae22c986
parent86ccf71a58516d520dbdcc35f4c6b430d15408c6 (diff)
downloadslackbuilds-fc377a2579fe438c4434e2dcca9fd7b8b74223a7.tar.gz
system/ipmitool: Added to 13.0 repository
-rw-r--r--system/ipmitool/README7
-rw-r--r--system/ipmitool/ipmitool.SlackBuild80
-rw-r--r--system/ipmitool/ipmitool.info10
-rw-r--r--system/ipmitool/slack-desc20
4 files changed, 117 insertions, 0 deletions
diff --git a/system/ipmitool/README b/system/ipmitool/README
new file mode 100644
index 0000000000..8f751f5f98
--- /dev/null
+++ b/system/ipmitool/README
@@ -0,0 +1,7 @@
+IPMItool is a utility for managing and configuring devices that
+support the Intelligent Platform Management Interface (IPMI) version
+1.5 and version 2.0 specifications. It features the ability to
+read the sensor data repository (SDR) and print sensor values,
+display the contents of the System Event Log (SEL), print Field
+Replaceable Unit (FRU) inventory information, read and set LAN
+configuration parameters, and perform remote chassis power control.
diff --git a/system/ipmitool/ipmitool.SlackBuild b/system/ipmitool/ipmitool.SlackBuild
new file mode 100644
index 0000000000..f115f68304
--- /dev/null
+++ b/system/ipmitool/ipmitool.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+# Generated by Alien's SlackBuild Toolkit: http://slackware.com/~alien/AST
+# Copyright 2009 Eric Hameleers <alien@slackware.com>, Eindhoven, Netherlands
+
+# Slackware build script for ipmitool
+
+# Written by Zordrak <sbo@tpa.me.uk>
+
+# Based on http://slackbuilds.org/template.SlackBuild
+
+
+PRGNAM=ipmitool
+VERSION=${VERSION:-1.8.11}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc
+mv $PKG/usr/share/doc/$PRGNAM $PKG/usr/doc/$PRGNAM-$VERSION
+rmdir $PKG/usr/share/doc
+cp -a contrib $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/ipmitool/ipmitool.info b/system/ipmitool/ipmitool.info
new file mode 100644
index 0000000000..908375f8d0
--- /dev/null
+++ b/system/ipmitool/ipmitool.info
@@ -0,0 +1,10 @@
+PRGNAM="ipmitool"
+VERSION="1.8.11"
+HOMEPAGE="http://ipmitool.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/project/ipmitool/ipmitool/1.8.11/ipmitool-1.8.11.tar.gz"
+MD5SUM="0f9b4758c2b7e8a7bafc2ead113b4bc6"
+DOWNLOAD_x86_64="http://downloads.sourceforge.net/project/ipmitool/ipmitool/1.8.11/ipmitool-1.8.11.tar.gz"
+MD5SUM_x86_64="0f9b4758c2b7e8a7bafc2ead113b4bc6"
+MAINTAINER="Zordrak"
+EMAIL="sbo@tpa.me.uk"
+APPROVED="pprkut"
diff --git a/system/ipmitool/slack-desc b/system/ipmitool/slack-desc
new file mode 100644
index 0000000000..da1bd10758
--- /dev/null
+++ b/system/ipmitool/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ipmitool: ipmitool (a simple command-line interface to IPMI-enabled devices)
+ipmitool:
+ipmitool: IPMItool is a utility for managing and configuring devices that
+ipmitool: support the Intelligent Platform Management Interface (IPMI) version
+ipmitool: 1.5 and version 2.0 specifications. It features the ability to
+ipmitool: read the sensor data repository (SDR) and print sensor values,
+ipmitool: display the contents of the System Event Log (SEL), print Field
+ipmitool: Replaceable Unit (FRU) inventory information, read and set LAN
+ipmitool: configuration parameters, and perform remote chassis power control.
+ipmitool:
+ipmitool: Home: http://ipmitool.sourceforge.net/
+